SHOWKEY(1)

NUME
showkey - examinează codurile trimise de la tastatură

SINOPSIS
showkey [-h|--help] [-a|--ascii] [-s|--scancodes] [-k|--keycodes] [-V|--version]

DESCRIERE

showkey afișează pe ieșirea standard fie codurile de scanare, fie codul de tastatură sau codul „ascii” al fiecărei taste apăsate. În primele două moduri, programul rulează până când trec 10 secunde de la ultimul eveniment de apăsare sau eliberare a unei taste sau până când primește un semnal adecvat, cum ar fi SIGTERM, de la un alt proces. În modul „ascii”, programul se termină atunci când utilizatorul tastează ^D.

Când se află în modul de afișare a codului de scanare, showkey afișează în format hexazecimal fiecare octet primit de la tastatură la ieșirea standard. O nouă linie este imprimată atunci când apare un interval de aproximativ 0,1 secunde între octeții primiți sau atunci când se umple memoria tampon internă de recepție. Acest lucru poate fi utilizat pentru a determina aproximativ ce secvențe de octeți trimite tastatura la o anumită apăsare de tastă. Modul de descărcare a codului de scanare este destinat în primul rând pentru depanarea controlorului de tastatură sau a altor interfețe de nivel scăzut. Ca atare, nu ar trebui să prezinte un interes prea mare pentru utilizatorul final obișnuit. Cu toate acestea, unele tastaturi moderne au taste sau butoane care produc coduri de scanare cărora nucleul nu le asociază un cod de taste și, după ce află care sunt acestea, utilizatorul poate atribui coduri de taste cu setkeycodes(8).

Când se află în modul implicit de afișare a codurilor de taste, showkey afișează la ieșirea standard numărul codului de taste sau fiecare tastă apăsată sau eliberată. De asemenea, se raportează tipul de eveniment, apăsare sau eliberare. Codurile de taste sunt numere atribuite de nucleu fiecărei taste fizice individuale. Fiecărei taste îi este asociat întotdeauna un singur număr de cod de taste, indiferent dacă tastatura trimite coduri de scanare simple sau multiple la apăsarea ei. Utilizând showkey în acest mod, puteți afla ce numere să folosiți în fișierele personalizate de hărți de taste (aranjamente de tastatură).

Atunci când se află în modul de afișare `ascii', showkey afișează la ieșirea standard valorile zecimale, octale și hexazecimale ale tastelor apăsate, în conformitate cu harta de taste prezentă.

OPȚIUNI

-h --help
    showkey afișează la ieșirea de eroare standard numărul versiunii sale, o opțiune de compilare și un scurt mesaj de utilizare, apoi iese.

-s --scancodes
    Pornește showkey în modul de afișare a codurilor de scanare.

-k --keycodes
    Pornește showkey în modul de afișare a codurilor de taste. Aceasta este valoarea implicită, atunci când nu sunt prezente opțiuni de linie de comandă.

-a --ascii
    Pornește showkey în modul de afișare „ascii”.

-V --version
    showkey afișează numărul versiunii și iese.

NUCLEELE 2.6
În nucleele 2.6, codurile de taste se află în intervalul 1-255, în loc de 1-127. Codurile cheie mai mari de 127 sunt returnate sub forma a trei octeți din care cei 7 biți de ordin inferior sunt: zero, biții 13-7 și biții 6-0 ai codului cheie. Biții de rang înalt sunt: 0/1 pentru a face/întrerupe, 1, 1.

În nucleele 2.6, modul brut, sau modul codurilor de scanare, nu este deloc brut. Codurile de scanare sunt mai întâi convertite în coduri de taste, iar atunci când se doresc coduri de scanare, codurile de taste sunt convertite înapoi. Sunt implicate diverse transformări și nu există nicio garanție că rezultatul final corespunde cu ceea ce a trimis dispozitivul hardware al tastaturii. Prin urmare, dacă doriți să cunoașteți codurile de scanare trimise de diverse taste, este mai bine să porniți un kernel 2.4. Începând cu versiunea 2.6.9, există și opțiunea de pornire atkbd.softraw=0 care îi indică nucleului 2.6 să returneze codurile de scanare reale.

AUTORI
Andries Brouwer <aeb@cwi.nl>

CONSULTAȚI ȘI
loadkeys(1), dumpkeys(1), keymaps(5), setkeycodes(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.